c getacc_multipole.f90
c Multipole accelerations (to be added).
c Miroslav Broz (miroslav.broz@email.cz), May 26th 2016

subroutine getacc_multipole(nbod,mass,xb,yb,zb,axb,ayb,azb)

      include "../swift.inc"
include "multipole.inc"

c input
      integer nbod
      real*8 mass(nbod)
      real*8 xb(nbod),yb(nbod),zb(nbod)

c output
      real*8 axb(nbod),ayb(nbod),azb(nbod)

c internal
      integer i, j
      real*8 xij, yij, zij
      real*8 acc, ax, ay, az, fac

      if (.not.use_multipole) return

      do i = 2, nbod

    a_g = a_g_mp(Clm, Slm, l, capm, capr, r)

            xij = xb(i) - xb(j)
            yij = yb(i) - yb(j)
            zij = zb(i) - zb(j)

            acc = koef2(j) * R_body5(j) * irij5(i,j)
            ax = acc*xij
            ay = acc*yij
            az = acc*zij

            axb(i) = axb(i) - ax
            ayb(i) = ayb(i) - ay
            azb(i) = azb(i) - az

            fac = mass(i)/mass(j)
            axb(j) = axb(j) + fac*ax
            ayb(j) = ayb(j) + fac*ay
            azb(j) = azb(j) + fac*az

      enddo

      return
      end


