! getacc_test.f90
! 
! Miroslav Broz (miroslav.broz@email.cz), Nov 22nd 2019

program getacc_test

use getacc_module

implicit none
integer, parameter :: NBODMAX = 2

integer :: i, l, m, nbod
double precision, dimension(NBODMAX) :: mass
double precision, dimension(NBODMAX) :: xb, yb, zb
double precision, dimension(NBODMAX) :: axb, ayb, azb

call read_multipole('multipole.in')

do l = 0, size(Clm,1)-1
  do m = 0, l
    write(*,*) 'Clm(', l, ',', m, ') = ', Clm(l,m)
    if (m.gt.0) then
      write(*,*) 'Slm(', l, ',', m, ') = ', Slm(l,m)
    endif
  enddo
  write(*,*)
enddo

nbod = 2

mass(1) = G*capm/M_S
mass(2) = 0.d0

xb(1) = 0.d0
yb(1) = 0.d0
zb(1) = 0.d0
xb(2) = 500.d0*km/au
yb(2) = 0.d0
zb(2) = 0.d0

axb(1) = 0.d0
ayb(1) = 0.d0
azb(1) = 0.d0
axb(2) = 0.d0
ayb(2) = 0.d0
azb(2) = 0.d0

do i = 1, nbod
  call getacc(nbod,mass,xb,yb,zb,axb,ayb,azb)
enddo

write(*,*) 'axb(2) = ', axb(2), ' au d^-2'
write(*,*) 'ayb(2) = ', ayb(2), ' au d^-2'
write(*,*) 'azb(2) = ', azb(2), ' au d^-2'

stop

end program getacc_test


